import request from '@/utils/request'

// 查询负面清单设置列表
export function listNegativeListSite(query) {
  return request({
    url: '/laboratory/negativeListSite/list',
    method: 'get',
    params: query
  })
}

// 查询负面清单设置详细
export function getNegativeListSite(id) {
  return request({
    url: '/laboratory/negativeListSite/' + id,
    method: 'get'
  })
}

// 新增负面清单设置
export function addNegativeListSite(data) {
  return request({
    url: '/laboratory/negativeListSite',
    method: 'post',
    data: data
  })
}

// 修改负面清单设置
export function updateNegativeListSite(data) {
  return request({
    url: '/laboratory/negativeListSite',
    method: 'put',
    data: data
  })
}

// 删除负面清单设置
export function delNegativeListSite(id) {
  return request({
    url: '/laboratory/negativeListSite/' + id,
    method: 'delete'
  })
}
